/*----*****---- << Text Selector >> ----*****----*/

body { text-rendering: optimizeSpeed; }
::selection { background-color: var(--wdtPrimaryColor); color: var(--wdtAccentTxtColor); }

/*----*****---- << PopUp Overflow scroll fix >> ----*****----*/

html:has(> body > .wdt-popup-box-window) { overflow: hidden; }

/*----*****---- << Safari CSS Hack >> ----*****----*/

@media screen and (-webkit-min-device-pixel-ratio:0) { 
    .wdt-icon-box-holder .wdt-content-item .wdt-content-media-group .wdt-content-icon-wrapper:only-child .wdt-content-icon span i, 
    .wdt-icon-box-holder .wdt-content-item .wdt-content-media-group .wdt-content-icon-wrapper:only-child .wdt-content-icon span i > svg { 
        height: intrinsic; } 
} 


/*----*****---- << Common Styles >> ----*****----*/

.wdt-bg-blur { backdrop-filter: blur(4px); }


/*----*****---- << Woocommerce Styles >> ----*****----*/

/* Elementor Overwrite Styles */

.elementor-widget.elementor-widget-wdt-shop-product-single-summary { --container-widget-width: 100% !important; }

/* Elementor Overwrite Styles */

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit, 
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button, 
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button, 
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button, 
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit, 
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button, 
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button, 
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button { overflow: hidden !important; }

/*Lightbox*/
.elementor-lightbox-item img.elementor-lightbox-image {
    border-radius:var(--wdtRadius_2X) 
}

/*----*****---- << Input And Input Focus Style >> ----*****----*/

input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="tel"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea, input.text, .select2-container.select2-container--default .select2-selection--single, .woocommerce form .form-row input.input-text, .woocommerce form .form-row textarea {
    -webkit-transition: var(--wdt-Ad-Transition); transition: var(--wdt-Ad-Transition); backdrop-filter: blur(4px); 
    backface-visibility: hidden; will-change: transform; isolation: isolate; }

.wdt-dark-bg input[type="text"], .wdt-dark-bg input[type="email"], .wdt-dark-bg input[type="url"], .wdt-dark-bg input[type="password"], .wdt-dark-bg input[type="search"], .wdt-dark-bg input[type="number"], .wdt-dark-bg input[type="tel"], .wdt-dark-bg input[type="date"], .wdt-dark-bg input[type="month"], .wdt-dark-bg input[type="week"], .wdt-dark-bg input[type="time"], .wdt-dark-bg input[type="datetime"], .wdt-dark-bg input[type="datetime-local"], .wdt-dark-bg input[type="color"], .wdt-dark-bg textarea, .wdt-dark-bg input.text, .wdt-dark-bg .select2-container.select2-container--default .select2-selection--single, .wdt-dark-bg .woocommerce form .form-row input.input-text, .wdt-dark-bg .woocommerce form .form-row textarea { 
    background-color: transparent; }

input[type="text"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type="number"]:focus, input[type="tel"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="week"]:focus, input[type="time"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="color"]:focus, textarea:focus, input.text:focus, .select2-container.select2-container--default .select2-selection--single:focus, .woocommerce form .form-row input.input-text:focus, .woocommerce form .form-row textarea:focus {
    background-color: transparent; border-color: var(--wdtPrimaryColor); }


/*----*****---- << Custom Woocommerce Style >> ----*****----*/

.woocommerce ul.products li.product .product-details > div.product-title { margin-bottom: 12px; padding-right: 20%; }
.woocommerce ul.products li.product .product-details > div .woocommerce-Price-currencySymbol { margin-right: .2em; }
.woocommerce ul.products li.product .product-details:has(> .product-element-group-wrapper:first-child + .product-buttons-wrapper:last-child) {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, max-content));
    align-items: center;
    gap: 20px;
    justify-content: space-between;
}
.woocommerce ul.products li.product.product-list-view .product-details:has(> .product-element-group-wrapper:first-child + .product-buttons-wrapper:last-child) {
    grid-template-columns: 1fr;
    gap: 20px;
    justify-content:center;
    height: fit-content;
    align-self: center;
}
.woocommerce ul.products li.product .product-details + .tinv-wraper.tinv-wishlist.tinvwl-loop-button-wrapper { display: none; }
.woocommerce ul.products li.product .product-details .product-element-group-wrapper:first-child + .product-buttons-wrapper.product-button:last-child{
    margin: 0; }
.woocommerce ul.products li.product .product-details .product-element-group-wrapper:first-child + .product-buttons-wrapper.product-button:last-child .button:after { display: none; }
.woocommerce ul.products li.product .product-details .product-element-group-wrapper .product-element-group-items .price { 
    margin-bottom: 0; font-size: clamp(1.125rem, 1.125rem + 0vw, 1.125rem); /* Min-18 & Max-18 */ font-weight: 500; font-family: var(--wdtFontTypo_Base); display: inline-flex; flex-direction: row-reverse; gap: 10px; }

body.woocommerce .tinvwl_add_to_wishlist_button.tinvwl-icon-heart.no-txt:before { 
    position: absolute; top: 0; left: 0; margin: 0; font-size: var(--wdtFontSize_H4); line-height: 52px;
    width: 100%; text-align: center; height: 100%; right: 0; bottom: 0; }

/*----*****---- << Text Editor - Underline Common Styles >> ----*****----*/

.elementor-widget-text-editor p, .elementor-widget-text-editor span { 
    text-underline-offset: 2px; text-decoration-color: rgba(var(--wdtHeadAltColorRgb), 0.6) !important; }

.wdt-dark-bg .elementor-widget-text-editor p, .wdt-dark-bg .elementor-widget-text-editor span { 
    text-decoration-color: rgba(var(--wdtAccentTxtColorRgb), 0.6) !important; }


/*----*****---- << Icon List Inline Styles For Common >> ----*****----*/

/* Text Styles */

.elementor-icon-list-items .elementor-icon-list-item a { color: var(--wdtLinkColor); }
.elementor-icon-list-items .elementor-icon-list-item a:hover { color: var(--wdtLinkHoverColor); }

.wdt-dark-bg .elementor-icon-list-items .elementor-icon-list-item a { color: var(--wdtAccentTxtColor); }
.wdt-dark-bg .elementor-icon-list-items .elementor-icon-list-item a:hover { color: var(--wdtLinkHoverColor); }

#header .wdt-dark-bg .elementor-icon-list-items .elementor-icon-list-item a:hover { 
    color: rgba(var(--wdtAccentTxtColorRgb), 0.85); }


/* Inline Item Styles */

.elementor-widget-icon-list .elementor-icon-list-items.elementor-inline-items {
    margin-top: -7px; margin-bottom: -7px; }
.elementor-widget-icon-list .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item.elementor-inline-item {
    margin-top: 7px; margin-bottom: 7px; }


/* Icon Styles */

.elementor-icon-list-items .elementor-icon-list-item .elementor-icon-list-icon svg,
.elementor-icon-list-items .elementor-icon-list-item .elementor-icon-list-text {
    color: var(--wdtHeadAltColor); }

.wdt-dark-bg .elementor-icon-list-items .elementor-icon-list-item .elementor-icon-list-icon svg,
.wdt-dark-bg .elementor-icon-list-items .elementor-icon-list-item .elementor-icon-list-text {
    color: var(--wdtAccentTxtColor); }


/*----*****---- << Contact Forms >> ----*****----*/

/*===== Common Styles =====*/

div[class*='contact-form-'] > div .select2-container { width: 100% !important; }
div[class*='contact-form-'] div .wpcf7-form-control-wrap input[type="text"]::placeholder, 
div[class*='contact-form-'] div .wpcf7-form-control-wrap input[type="email"]::placeholder, 
div[class*='contact-form-'] div .wpcf7-form-control-wrap input[type="tel"]::placeholder,
div[class*='contact-form-'] div .wpcf7-form-control-wrap textarea::placeholder,
div[class*='contact-form-'] > div .select2-container.select2-container--default .select2-selection--single .select2-selection__rendered { 
    color: var(--wdtBodyTxtColor); opacity: 1; }
div[class*='contact-form-'] div .wpcf7-form-control-wrap input[type="email"]:focus, 
div[class*='contact-form-'] div .wpcf7-form-control-wrap input[type="text"]:focus, 
div[class*='contact-form-'] div .wpcf7-form-control-wrap input[type="tel"]:focus, 
div[class*='contact-form-'] div .wpcf7-form-control-wrap .select2-container--default .select2-selection--single:focus, 
div[class*='contact-form-'] div .select2-container.select2-container--default .select2-selection--single:focus,
div[class*='contact-form-'] div .select2-container.select2-container--default .select2-selection--single:has(> .select2-selection__rendered:focus) { 
    border-color: var(--wdtPrimaryColor) !important; }

div[class*='careers-form-style'] > div .select2-container { width: 100% !important; }
div[class*='careers-form-style'] div .wpcf7-form-control-wrap input[type="text"]::placeholder, 
div[class*='careers-form-style'] div .wpcf7-form-control-wrap input[type="email"]::placeholder, 
div[class*='careers-form-style'] div .wpcf7-form-control-wrap input[type="tel"]::placeholder,
div[class*='careers-form-style'] div .wpcf7-form-control-wrap textarea::placeholder,
div[class*='careers-form-style'] > div .select2-container.select2-container--default .select2-selection--single .select2-selection__rendered, 
div[class*='careers-form-style'] > div select { 
    color: var(--wdtAccentTxtColor); opacity: 1; }

div[class*='contact-form-'] > div p > br { display: none; }
div[class*='contact-form-'] > div:not(:last-child) { width: 100%; max-width: 100%; min-width: 100%; }
div[class*='contact-form-'] > div p { position: relative; display: block; }
div[class*='contact-form-'] > div .select2-selection { min-width:100%;}


/*===== Contact Form Style A =====*/

.wdt-container-shape-style-form.e-flex {
    -webkit-clip-path: polygon(95% 0, 100% 25%, 100% 100%, 0 100%, 0 0); 
    clip-path: polygon(95% 0, 100% 25%, 100% 100%, 0 100%, 0 0); }

div[class*='contact-form-style-a'] {     
    display: grid; grid-template-columns: repeat(5, 1fr); align-items: end; 
    gap: clamp(0.9375rem, 0.7707rem + 0.9202vw, 1.875rem); /*30px - 15px*/ }
div[class*='contact-form-style-a'] div > p { margin-bottom: 0; }
div[class*='contact-form-style-a'] div label {     
    display: block; font-family: var(--wdtFontTypo_Alt); 
    font-size: var(--wdtFontSize_H6);
    font-weight: var(--wdtFontWeight_Base); line-height: var(--wdtLineHeight_Alt); 
    text-transform: capitalize; color: var(--wdtHeadAltColor); margin-bottom: 12px; }
div[class*='contact-form-style-a'] div > p.with-spinner { display: block; margin-top: 5px; }
div[class*='contact-form-style-a'] div > p.with-spinner input[type="submit"] { width: 100%; padding: 18px 26px; }
.wdt-light-bg .contact-form-style input, .wdt-light-bg .contact-form-style .select2-selection {border-color:rgba(var(--wdtSecondaryColorRgb),0.3) !important; }
div.wdt-light-bg div.contact-form-style.contact-form-style-a input:focus,
div.wdt-light-bg div.contact-form-style.contact-form-style-a .select2-selection:focus{border-color:rgba(var(--wdtSecondaryColorRgb),1) !important; }
div[class*='contact-form-style-a'] div > p.with-spinner:focus::after { background-color: var(--wdtSecondaryColor); }
.contact-form-style input::placeholder, .contact-form-style textarea::placeholder, .wdt-light-bg .contact-form-style .select2-selection::placeholder {opacity: 0.7 !important;; }
/*===== Contact Form Style B =====*/

.wdt-container-shape-style-form-b.e-flex {
    -webkit-clip-path: polygon(90% 0, 100% 10%, 100% 100%, 0 100%, 0 0); 
    clip-path: polygon(90% 0, 100% 10%, 100% 100%, 0 100%, 0 0); }

div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap input[type="text"], 
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap input[type="email"], 
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap input[type="tel"],
div[class*='contact-form-style-b'] div.upload-files .wpcf7-form-control-wrap input[type="file"],
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap textarea,
div[class*='contact-form-style-b'] > div .select2-container.select2-container--default .select2-selection--single {
    background-image: none !important; backdrop-filter: none; border-color: rgba(var(--wdtAccentTxtColorRgb), 0.8) !important; 
    backface-visibility: hidden; isolation: isolate; will-change: transform; }
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap input[type="email"]:focus, 
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap input[type="text"]:focus, 
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap input[type="tel"]:focus,
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap textarea:focus, 
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap .select2-container--default .select2-selection--single:focus, 
div[class*='contact-form-style-b'] div .select2-container.select2-container--default .select2-selection--single:focus { 
    border-color: rgba(var(--wdtAccentTxtColorRgb), 0.5) !important; }
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap input[type="text"]::placeholder, 
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap input[type="email"]::placeholder, 
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap input[type="tel"]::placeholder,
div[class*='contact-form-style-b'] div .wpcf7-form-control-wrap textarea::placeholder,
div[class*='contact-form-style-b'] > div .select2-container.select2-container--default .select2-selection--single .select2-selection__rendered { 
    color: var(--wdtAccentTxtColor); opacity: 0.8; }

div[class*='contact-form-style-b'] {     
    display: grid; grid-template-columns: repeat(2, 1fr); align-items: end; 
    gap: clamp(0.9375rem, 0.7707rem + 0.9202vw, 1.875rem); /*30px - 15px*/ }
div[class*='contact-form-style-b'] div > p { margin-bottom: 0; }
div[class*='contact-form-style-b'] div label {     
    display: block; font-family: var(--wdtFontTypo_Alt); 
    font-size: clamp(1rem, 0.9778rem + 0.1227vw, 1.125rem); /*18px - 16px*/ 
    font-weight: var(--wdtFontWeight_Base); line-height: var(--wdtLineHeight_Alt); 
    text-transform: capitalize; color: var(--wdtHeadAltColor); margin-bottom: 12px; }
.wdt-dark-bg div[class*='contact-form-style-b'] div label { color: var(--wdtAccentTxtColor); }
div[class*='contact-form-style-b'] div.text-area,
div[class*='contact-form-style-b'] div.submit-button { grid-column: 1 / 3; }
div[class*='contact-form-style-b'] div > p.with-spinner { margin-top: 5px; }
div[class*='contact-form-style-b'] div > p.with-spinner::after { background-color: var(--wdtAccentTxtColor); }
div[class*='contact-form-style-b'] div > p.with-spinner:hover:after { background-color: var(--wdtSecondaryColor); }
div[class*='contact-form-style-b'] div.submit-button input[type="submit"] { background:var(--wdtPrimaryColor); position: relative; border-radius: var(--wdtRadius_Part); }
div[class*='contact-form-style-b'] div.submit-button input[type="submit"]:hover { background:var(--wdtAccentTxtColor); color:var(--wdtSecondaryColor);}


/*===== Careers Form Style =====*/
div[class*='careers-form-style'] > .form-col { display: grid; grid-template-columns: repeat(auto-fit, minmax(250px, auto)); column-gap: 30px; row-gap: 15px; }

div[class*='careers-form-style'] div:not(:last-child) { margin-bottom: 15px; }
div[class*='careers-form-style'] div input[type="submit"]:hover,
div[class*='careers-form-style'] div input[type="submit"]:focus { background-color: var(--wdtAccentTxtColor); color: var(--wdtSecondaryColor); }
div[class*='careers-form-style'] div:not(:last-child) > p { margin-bottom: 0; }
div[class*='careers-form-style'] div.text-area .wpcf7-form-control-wrap textarea { height: 120px; margin: 0; }
div[class*='careers-form-style'] div.upload-files .wpcf7-form-control-wrap::after {
    content: ''; position: absolute; display: inline-block; height: 20px; width: 20px; 
    top: 0; right: 0; bottom: 0; left: auto; background-color: currentColor;
    -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 100 100' style='enable-background:new 0 0 100 100;' xml:space='preserve'%3E%3Cg%3E%3Cpath d='M29.6,39.6L45.2,24v48.5c0,2.7,2.2,4.8,4.8,4.8c2.7,0,4.8-2.2,4.8-4.8c0,0,0,0,0,0V24l15.6,15.6c1.7,2,4.8,2.2,6.8,0.5 c2-1.7,2.2-4.8,0.5-6.8c-0.1-0.2-0.3-0.3-0.5-0.5L50,5.5L22.8,32.8c-1.9,1.9-1.9,4.9,0,6.8S27.7,41.5,29.6,39.6L29.6,39.6 L29.6,39.6z'/%3E%3Cpath d='M92.7,64.6c-2.7,0-4.8,2.2-4.8,4.8v15.4H12.2V69.4c0.1-2.7-1.9-4.9-4.6-5.1s-4.9,1.9-5.1,4.6c0,0.2,0,0.3,0,0.5v25.1h95 V69.4C97.5,66.8,95.4,64.6,92.7,64.6C92.7,64.6,92.7,64.6,92.7,64.6z'/%3E%3C/g%3E%3C/svg%3E%0A");
    mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 100 100' style='enable-background:new 0 0 100 100;' xml:space='preserve'%3E%3Cg%3E%3Cpath d='M29.6,39.6L45.2,24v48.5c0,2.7,2.2,4.8,4.8,4.8c2.7,0,4.8-2.2,4.8-4.8c0,0,0,0,0,0V24l15.6,15.6c1.7,2,4.8,2.2,6.8,0.5 c2-1.7,2.2-4.8,0.5-6.8c-0.1-0.2-0.3-0.3-0.5-0.5L50,5.5L22.8,32.8c-1.9,1.9-1.9,4.9,0,6.8S27.7,41.5,29.6,39.6L29.6,39.6 L29.6,39.6z'/%3E%3Cpath d='M92.7,64.6c-2.7,0-4.8,2.2-4.8,4.8v15.4H12.2V69.4c0.1-2.7-1.9-4.9-4.6-5.1s-4.9,1.9-5.1,4.6c0,0.2,0,0.3,0,0.5v25.1h95 V69.4C97.5,66.8,95.4,64.6,92.7,64.6C92.7,64.6,92.7,64.6,92.7,64.6z'/%3E%3C/g%3E%3C/svg%3E%0A");
    -webkit-mask-repeat: no-repeat; mask-repeat: no-repeat; -webkit-mask-size: contain; mask-size: contain; margin: auto 20px; }
div[class*='careers-form-style'] div.upload-files .wpcf7-form-control-wrap input[type="file"] {
    cursor: pointer; width: 100%; max-width: 100%; padding: var(--wdtInputPadding); 
    padding-right: 60px; border: 1px solid var(--wdtBorderColor); }
div[class*='careers-form-style'] div.upload-files .wpcf7-form-control-wrap input[type="file"]:focus {
    border-color: var(--wdtPrimaryColor); }
div[class*='careers-form-style'] div.upload-files .wpcf7-form-control-wrap input[type="file"]::file-selector-button {
    display: none !important; }
div[class*='careers-form-style'] div.upload-files .upload-files-info-text { display: block; margin-top: 8px; }
div[class*='careers-form-style'] div.submit-button .with-spinner { margin-top: 12px; }

div[class*='careers-form-style'] div .wpcf7-form-control-wrap input[type="text"], 
div[class*='careers-form-style'] div .wpcf7-form-control-wrap input[type="email"], 
div[class*='careers-form-style'] div .wpcf7-form-control-wrap input[type="tel"],
div[class*='careers-form-style'] div.upload-files .wpcf7-form-control-wrap input[type="file"],
div[class*='careers-form-style'] div .wpcf7-form-control-wrap textarea,
div[class*='careers-form-style'] > div .select2-container.select2-container--default .select2-selection--single { 
    background-color: transparent; border-color: rgba(var(--wdtAccentTxtColorRgb), 0.25) !important; }

div[class*='careers-form-style'] div .wpcf7-form-control-wrap input[type="text"]:focus, 
div[class*='careers-form-style'] div .wpcf7-form-control-wrap input[type="email"]:focus, 
div[class*='careers-form-style'] div .wpcf7-form-control-wrap input[type="tel"]:focus,
div[class*='careers-form-style'] div.upload-files .wpcf7-form-control-wrap input[type="file"]:focus,
div[class*='careers-form-style'] div .wpcf7-form-control-wrap textarea:focus,
div[class*='careers-form-style'] > div .select2-container.select2-container--default.select2-container--open .select2-selection--single { 
    color: var(--wdtAccentTxtColor); border-color: var(--wdtPrimaryColor) !important; }
div[class*='careers-form-style'] > div .select2-container--default .select2-selection--single .select2-selection__arrow b { 
    color: var(--wdtAccentTxtColor); border-top-color: currentColor; }


/*===== Date & Time Plugin =====*/

.xdsoft_datetimepicker { -webkit-border-radius: var(--wdtRadius_2X); border-radius: var(--wdtRadius_2X); margin-top: 8px; }
.xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_time_box > div > div.xdsoft_current {
    background: var(--wdtPrimaryColor); box-shadow: none; font-family: var(--wdtFontTypo_Alt); }
.xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_time_box > div > div { font-family: var(--wdtFontTypo_Alt); }
.xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_time_box > div > div:hover { background: var(--wdtPrimaryColor) !important; box-shadow: none !important; }
.xdsoft_datetimepicker .xdsoft_datepicker.active+.xdsoft_timepicker { margin-top: 18px; margin-bottom: 0; }
.xdsoft_datetimepicker .xdsoft_calendar table { font-family: var(--wdtFontTypo_Alt); }
.xdsoft_datetimepicker .xdsoft_calendar td.xdsoft_current { background: var(--wdtPrimaryColor); box-shadow: none; }
.xdsoft_datetimepicker .xdsoft_calendar td:hover { background: var(--wdtPrimaryColor) !important; box-shadow: none !important; }
.xdsoft_datetimepicker .xdsoft_calendar th, .xdsoft_datetimepicker .xdsoft_calendar td { font-size: 11px; text-align: center; }
.xdsoft_datetimepicker .xdsoft_calendar td > div { padding: 0; }
.xdsoft_datetimepicker .xdsoft_calendar td.xdsoft_today { color: var(--wdtPrimaryColor); }
.xdsoft_datetimepicker .xdsoft_month { width: 80px; }
.xdsoft_datetimepicker .xdsoft_label { font-family: var(--wdtFontTypo_Alt); font-size: 13px; }


/*===== Wdt Date & Time Picker =====*/

/* Month */
.flatpickr-calendar .flatpickr-months {     
    height: 38px; font-family: var(--wdtFontTypo_Alt); font-weight: var(--wdtFontWeight_Alt); color: var(--wdtHeadAltColor); }
.flatpickr-calendar .flatpickr-months .flatpickr-prev-month, .flatpickr-calendar .flatpickr-months .flatpickr-next-month { line-height: 32px; }

/* Date */
body .flatpickr-calendar.animate:not(.open) { position: fixed; }
body .flatpickr-calendar .flatpickr-day, body .flatpickr-calendar * {
    -webkit-transition: var(--wdtBaseTransition); transition: var(--wdtBaseTransition); }
body .flatpickr-calendar::before, body .flatpickr-calendar::after { opacity: 0; }
body .flatpickr-calendar {     
    width: 100%; max-width: 330px; padding: 10px; -webkit-box-shadow: unset; box-shadow: unset; margin-top: 12px; border: none; 
    -webkit-box-shadow: 0 0 8px 3px rgba(var(--wdtHeadAltColorRgb),0.08); box-shadow: 0 0 8px 3px rgba(var(--wdtHeadAltColorRgb),0.08); -webkit-border-radius: var(--wdtRadius_2X); border-radius: var(--wdtRadius_2X); }
body .flatpickr-current-month, body .flatpickr-calendar .flatpickr-current-month span.cur-month, body .flatpickr-current-month input.cur-year { 
    font-size: var(--wdtFontSize_Base); font-weight: var(--wdtFontWeight_Ext); text-transform: uppercase; color: var(--wdtHeadAltColor); }
.flatpickr-calendar .flatpickr-innerContainer,
.flatpickr-calendar .flatpickr-innerContainer .flatpickr-rContainer,
.flatpickr-calendar .flatpickr-innerContainer .flatpickr-rContainer .flatpickr-days,
.flatpickr-calendar .flatpickr-innerContainer .flatpickr-rContainer .flatpickr-days .dayContainer { width: 100%; max-width: 100%; }
.flatpickr-calendar .flatpickr-innerContainer .flatpickr-rContainer .flatpickr-weekdays { 
    width: 100%; max-width: 100%; gap: 5px; margin-top: 5px; }
.flatpickr-calendar .flatpickr-innerContainer .flatpickr-rContainer .flatpickr-weekdays span.flatpickr-weekday {     
    width: 100%; height: 100%; font-size: 85%; font-weight: var(--wdtFontWeight_Ext); line-height: var(--wdtLineHeight_Alt); 
    display: flex; align-items: center; justify-content: center; background-color: var(--wdtPrimaryColor); color: var(--wdtHeadAltColor); -webkit-border-radius: var(--wdtRadius_1X); border-radius: var(--wdtRadius_1X); padding: 6px; margin: 2px; }
.flatpickr-calendar .flatpickr-innerContainer .flatpickr-rContainer .flatpickr-days { margin-top: 5px; }
.flatpickr-calendar .flatpickr-innerContainer .flatpickr-rContainer .flatpickr-days .dayContainer { gap: 5px; }
.flatpickr-calendar .flatpickr-innerContainer .flatpickr-rContainer .flatpickr-days .dayContainer .flatpickr-day {     
    max-width: 35px; height: 35px; line-height: 32px; font-weight: var(--wdtFontWeight_Ext); }
body .flatpickr-day.today:hover, body .flatpickr-day.today:focus, body .flatpickr-day.selected, body .flatpickr-day.startRange, body .flatpickr-day.endRange, body .flatpickr-day.selected.inRange, body .flatpickr-day.startRange.inRange, body .flatpickr-day.endRange.inRange, body .flatpickr-day.selected:focus, body .flatpickr-day.startRange:focus, body .flatpickr-day.endRange:focus, body .flatpickr-day.selected:hover, body .flatpickr-day.startRange:hover, body .flatpickr-day.endRange:hover, body .flatpickr-day.selected.prevMonthDay, body .flatpickr-day.startRange.prevMonthDay, body .flatpickr-day.endRange.prevMonthDay, body .flatpickr-day.selected.nextMonthDay, body .flatpickr-day.startRange.nextMonthDay, body .flatpickr-day.endRange.nextMonthDay { border-color: var(--wdtPrimaryColor); background: var(--wdtPrimaryColor); color: var(--wdtHeadAltColor); }
body .flatpickr-calendar .flatpickr-day.today { background: var(--wdtPrimaryColor); color: var(--wdtHeadAltColor); border-color: transparent; }
body .flatpickr-calendar .flatpickr-innerContainer { padding-bottom: 10px; }
body .flatpickr-calendar .flatpickr-innerContainer ~ .flatpickr-time { 
    height: 100%; line-height: 100%; max-height: 100%; padding-top: 10px; }

/* Time */
body .flatpickr-calendar .flatpickr-time .numInputWrapper { height: 100%; }
.numInputWrapper:hover { background: none; }
body .flatpickr-calendar.showTimeInput.hasTime .flatpickr-time { border: none; margin-top: 5px; }
body .flatpickr-calendar .flatpickr-time input { 
    height: 100%; font-weight: var(--wdtFontWeight_Ext); padding: .6em; border: 1px solid var(--wdtBorderColor); }
body .flatpickr-calendar .flatpickr-time .flatpickr-time-separator { 
    display: flex; align-items: center; justify-content: center; margin: 0 7px; }
body .flatpickr-calendar .numInputWrapper span { border: 0; width: 16px; padding: 0; }
body .flatpickr-calendar .numInputWrapper span:hover { background: none; }
body .flatpickr-calendar .numInputWrapper span::after { top: 0; bottom: 0; margin: 2px; }
body .flatpickr-calendar .numInputWrapper span:hover::after { border-bottom-color:var(--wdtLinkHoverColor); }

/* Over All Color */
body .flatpickr-calendar .flatpickr-day.inRange, body .flatpickr-calendar .flatpickr-day.prevMonthDay.inRange, body .flatpickr-calendar .flatpickr-day.nextMonthDay.inRange, body .flatpickr-calendar .flatpickr-day.today.inRange, body .flatpickr-calendar .flatpickr-day.prevMonthDay.today.inRange, body .flatpickr-calendar .flatpickr-day.nextMonthDay.today.inRange, body .flatpickr-calendar .flatpickr-day:hover, body .flatpickr-calendar .flatpickr-day.prevMonthDay:hover, body .flatpickr-calendar .flatpickr-day.nextMonthDay:hover, body .flatpickr-calendar .flatpickr-day:focus, body .flatpickr-calendar .flatpickr-day.prevMonthDay:focus, body .flatpickr-calendar .flatpickr-day.nextMonthDay:focus { 
    background: var(--wdtPrimaryColor); color: var(--wdtHeadAltColor); border-color: transparent; }


/*-------------------------------------- Landing page Codes------------------------------------- */
/*Homepage*/
 .wdt-cus-homepage img {
    -webkit-transform: scale(1); transform: scale(1); 
    -webkit-transition: var(--wdt-Livi-Transition); transition: var(--wdt-Livi-Transition);
    backface-visibility: hidden; will-change: transform; isolation: isolate;
}

 .wdt-cus-homepage:hover img {
    -webkit-transform: scale(1.02); transform: scale(1.02); }

/*Features section*/
 .feautures .wdt-image-box-holder.wdt-rc-template-icon_content .wdt-content-item {
    display: block;
   text-transform: capitalize;
}

.feautures .wdt-image-box-holder.wdt-rc-template-icon_content .wdt-content-item > div:not(:last-child) {
    margin-right: 0px;
}

/*Device section*/
.wdt-features .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item {
    border: 1px solid;
    padding: 10px 25px;
    border-radius: 45px;
}

.wdt-cus-device-icon .wdt-image-box-holder.wdt-rc-template-default .wdt-content-item .wdt-content-media-group .wdt-content-icon-wrapper .wdt-content-icon span {
    background-color: transparent;
    color: var(--wdtSecondaryColor);
    -webkit-border-radius: 0%;
    border-radius: 0%;
    -webkit-box-shadow: unset;
    box-shadow: unset;
}
 .wdt-cus-device-icon .wdt-image-box-holder.wdt-rc-template-default .wdt-content-item:hover .wdt-content-media-group .wdt-content-icon-wrapper .wdt-content-icon span {
    background-color: transparent;
 }
 .wdt-cus-device-icon .wdt-image-box-holder.wdt-rc-template-default .wdt-content-item .wdt-content-media-group .wdt-content-icon-wrapper .wdt-content-icon span{
     font-size: clamp(3.125rem, 2.9857rem + 0.6369vw, 3.75rem);
 }
 .wdt-cus-device-icon .wdt-image-box-holder.wdt-rc-template-default .wdt-content-item:hover .wdt-content-media-group .wdt-content-icon-wrapper .wdt-content-icon span{
    color: var(--wdtSecondaryColor);
 }
 
 .wdt-cus-device-icon .wdt-image-box-holder.wdt-rc-template-default .wdt-content-item .wdt-content-title h5 {
   font-family: var(--wdtFontTypo_Base); 
}
    
/*Plugins*/
.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item .wdt-content-media-group {
    display: flex;
    flex-direction: column;
    gap: 10px;

}
.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item .wdt-content-media-group > div.wdt-content-description {
    width: 100%;
    padding: 0 20px;
    order: 3;
}
.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item .wdt-content-media-group > div.wdt-media-group {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    order: 1;
}
.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item{
    padding: 30px;
}
.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-column-wrapper .wdt-column.wdt-active .wdt-content-item,
.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item:hover { 
    background-color: transparent; }


.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item 
.wdt-content-media-group > div.wdt-content-image-wrapper .wdt-content-image img {
    -webkit-transform: none; 
    transform: none; 
    backface-visibility: hidden;
    opacity: 1;
}

.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard {
    border: 0px;
}

.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-column-wrapper .wdt-column:not(:last-child) .wdt-content-item {
    border-bottom: 0px;
}

.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item { border: 0px; padding: 0; }
    .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item .wdt-content-media-group { gap: 0; }
.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item .wdt-content-media-group > div.wdt-content-image-wrapper {
        grid-column: 1 / 4; grid-row: 1 / 2;  margin-top: 30px;
    margin-bottom: 40px;}
.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item .wdt-content-media-group > div.wdt-media-group {
        grid-column: 1 / 4; margin-top: 15px; margin-bottom: 5px; }
.wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item .wdt-content-media-group > div.wdt-content-description {
        grid-column: 1 / 4;}
        
        
@media(max-width:1280px){
    .wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item .wdt-content-media-group > div.wdt-content-image-wrapper { margin-top: 0px;
    margin-bottom: 0px;}
    .wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item .wdt-content-media-group > div.wdt-content-image-wrapper {
        padding: 0;
        display: flex;
        justify-content: center;
    }
}

@media only screen and (max-width: 480px) {
   .wdt-cus-feautures .wdt-image-box-holder.wdt-rc-template-standard .wdt-content-item .wdt-content-media-group > div.wdt-media-group {
        align-items: center;
    }
}

/*Animation */
.wdt-widget-animation .wdt-counter-head .wdt-heading-holder .wdt-heading-title-wrapper .wdt-heading-title .wdt-heading-colored-elements::before {
    display: none;
}

.wdt-widget-animation .wdt-animation-wrapper .wdt-animation-item{
    background-color: var(--wdtSecondaryColor);
    color: var(--wdtAccentTxtColor);
    font-size: var(--wdtFontSize_H5);
   font-family: var(--wdtFontTypo_H4);
   transition: var(--wdtAltTransition);
   border-radius: var(--wdtRadius_3X);
}
.wdt-widget-animation .wdt-marqee-icon{
    margin-right: 20px;
}
.wdt-animation-slides .wdt-animation-wrapper .wdt-animation-item.image-item img{
    border:1px solid var(--wdtBorderColor);   
}


.wdt-widget-animation .wdt-animation-wrapper .wdt-animation-item:hover{
     background-color: var(--wdtPrimaryColor);}
    
    
/*Faq*/
.wdt-cus-accordion .wdt-template-classic .wdt-accordion-toggle-wrapper{
    background-color: transparent;}
    
.wdt-cus-accordion .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-title {
    font-family: var(--wdtFontTypo_Alt);
    flex-grow: 1;
    color: var(--wdtAccentTxtColor);
    font-weight: var(--wdtFontWeight_Base);
}

.wdt-cus-accordion .wdt-accordion-toggle-holder .wdt-accordion-toggle-description{
    background: transparent;
    padding: clamp(1.25rem, 1.1944rem + 0.3067vw, 1.5625rem) clamp(1.25rem, 1.0276rem + 1.227vw, 2.5rem);
    padding-left: 0;
}
    
.wdt-cus-accordion .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder{
    padding: clamp(1.25rem, 1.1944rem + 0.3067vw, 1.5625rem) clamp(1.25rem, 1.0276rem + 1.227vw, 2.5rem);
    padding-left: 0;
    padding-right: 0;
} 
.wdt-cus-accordion .wdt-template-classic .wdt-accordion-toggle-description{
    padding-top: 0px;}
.wdt-cus-accordion .wdt-accordion-toggle-holder .wdt-accordion-toggle-wrapper:not(:last-child) {
    margin-bottom: 0;
}
.wdt-cus-accordion .wdt-cus-accordion .wdt-accordion-toggle-holder .wdt-accordion-toggle-wrapper{
    border-bottom: 1px solid rgba(var(--wdtBorderColor),.6);
}
.wdt-cus-accordion .wdt-accordion-toggle-holder .wdt-accordion-toggle-wrapper{
    border-bottom: 1px solid rgba(var(--wdtBorderColorRgb),.2);
}
.wdt-cus-accordion .wdt-accordion-toggle-holder .wdt-accordion-toggle-wrapper:last-child {
    border: none;
}

.wdt-cus-accordion .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon{
    background-color: transparent;
}
.wdt-accordion .wdt-accordion-toggle-holder .wdt-accordion-toggle-wrapper:not(:last-child) {
    border-bottom: 0.5px solid #666666;
}    

.wdt-accordion .wdt-accordion-toggle-holder .wdt-accordion-toggle-wrapper:not(:last-child) {
    padding-top: 25px;
    padding-bottom: 25px;
}
/*Widget*/
.wdt-counter .wdt-counter-holder .wdt-content-item .wdt-content-counter span{
    font-size: clamp(3.125rem, 2.0382rem + 4.9682vw, 8rem);
    font-family: var(--wdtFontTypo_Alt);
    font-weight: var(--wdtFontWeight_Ext);
    color: var(--wdtPrimaryColor);
}


/*Innerpage*/
.wdt-animation-slides .wdt-animation-wrapper .wdt-animation-item {
    padding: 0 12px;
}

/* Footer */

.wdt-footer-btn .wdt-button .wdt-button-text:has(+ .wdt-button-icon) {
    color: var(--wdtAccentTxtColor);
}

.wdt-footer-btn .wdt-button:hover .wdt-button-text:has(+ .wdt-button-icon){
    color: var(--wdtHeadAltColor);
}

.wdt-counter-2 p {
  font-family: var(--wdtFontTypo_Base);
    font-weight: var(--wdtFontWeight_Ext);
    font-size:clamp(2.5rem, 2.082rem + 1.9108vw, 4.375rem);
}


/*--------------------------------------------------------------
	Responsive
--------------------------------------------------------------*/

@media only screen and (max-width: 1280px) {
    div[class*='contact-form-style-a'] { grid-template-columns: repeat(2, 1fr); }
    .wdt-container-shape-style-form.e-flex {
    -webkit-clip-path: polygon(90% 0, 100% 20%, 100% 100%, 0 100%, 0 0);
    clip-path: polygon(90% 0, 100% 20%, 100% 100%, 0 100%, 0 0); }
}

@media only screen and (max-width: 767px) {
    .wdt-container-shape-style-form.e-flex {
    -webkit-clip-path: polygon(90% 0, 100% 15%, 100% 100%, 0 100%, 0 0);
    clip-path: polygon(90% 0, 100% 15%, 100% 100%, 0 100%, 0 0); }

    div[class*='careers-form-style'] > .form-col { grid-template-columns: repeat(1, 1fr); }
}

@media only screen and (max-width: 480px) {
    div[class*='contact-form-style-a'], div[class*='contact-form-style-b'] { 
        display: flex; flex-direction: column; align-items: flex-start; }
    .wdt-container-shape-style-form.e-flex {
        -webkit-clip-path: polygon(85% 0, 100% 10%, 100% 100%, 0 100%, 0 0);
        clip-path: polygon(85% 0, 100% 10%, 100% 100%, 0 100%, 0 0); }
}


/* ------------Horti theme changes---------- */
.wdt-large-heading .wdt-heading-holder .wdt-heading-title-wrapper,
.wdt-large-heading .wdt-heading-holder .wdt-heading-title-wrapper .wdt-heading-title {
    font-size:clamp(2.8125rem, 1.9068rem + 4.1401vw, 6.875rem); /*110px - 45px*/ }

/* Shop Listing Dark background style */
.wdt-dark-bg .woocommerce ul.products[class*="product-content-buttonelement-style-bgfill"] li.product .product-details .product-buttons-wrapper.product-button .wc_btn_inline:not(:hover),
.wdt-dark-bg .woocommerce ul.products[class*="product-content-buttonelement-style-bgfill"] li.product .product-details .product-buttons-wrapper.product-button .wc_btn_inline a:not(:hover){ background-color: var(--wdtPrimaryColor); }
.wdt-dark-bg .woocommerce ul.products[class*="product-content-buttonelement-style-bgfill"] li.product .product-details .product-buttons-wrapper.product-button .wc_btn_inline:hover,
.wdt-dark-bg .woocommerce ul.products[class*="product-content-buttonelement-style-bgfill"] li.product .product-details .product-buttons-wrapper.product-button .wc_btn_inline a:hover{ background-color: var(--wdtAccentTxtColor) !important; }

.wdt-dark-bg .woocommerce ul.products[class*="product-content-buttonelement-style-bgfill"] li.product .product-details .product-buttons-wrapper.product-button .wc_btn_inline a:hover,
.wdt-dark-bg .woocommerce ul.products[class*="product-content-buttonelement-style-bgfill"] li.product .product-details .product-buttons-wrapper.product-button .wc_btn_inline a.button:hover,
.wdt-dark-bg .woocommerce ul.products[class*="product-content-buttonelement-style-bgfill"] li.product .product-details .product-buttons-wrapper.product-button .wc_btn_inline button:hover,
.wdt-dark-bg .woocommerce ul.products[class*="product-content-buttonelement-style-bgfill"] li.product .product-details .product-buttons-wrapper.product-button .wc_btn_inline button.button:hover,
.wdt-dark-bg .woocommerce ul.products[class*="product-content-buttonelement-style-bgfill"] li.product .product-details .product-buttons-wrapper.product-button .wc_btn_inline .button:hover { color: var(--wdtHeadAltColor); }


.wdt-cust-foot-editor h3{ margin-top: 0; }
.wdt-cust-foot-editor p{ margin-bottom: 0; }



/* Navigtion */
.entry-post-navigation.type1 { display:flex; justify-content:space-between; gap:25px }
.entry-post-navigation.type1 > div { display:flex; gap:20px }
.entry-post-navigation.type1 div > a {display:block;width:130px;height:100px;background-size: 100%;background-position: center; background-repeat:repeat; border-radius: var(--wdtRadius_2X);overflow: hidden;}
.entry-post-navigation.type1 div:hover > a { background-size: calc(100% + 10px);}
.entry-post-navigation.type1 > div .nav-title-wrap { display:flex; flex-direction:column; justify-content:center } 
.entry-post-navigation.type1 > div .nav-title-wrap >span { display:none; } 
.entry-post-navigation.type1 > div .nav-title-wrap > h3 { margin:0; } 
.entry-post-navigation.type1 > div.post-next-link { flex-direction:row-reverse; text-align:right; }

@media only screen and (max-width: 767px){
    .entry-post-navigation.type1 {  gap: 0; }
    .entry-post-navigation.type1 > div { padding:20px 0; width: 100%; justify-content: center; }
    .entry-post-navigation.type1 > div:first-child { border-bottom:1px solid var(--wdtBorderColor); }

    .wdt_services-template .entry-post-navigation.type1 { flex-direction:column;}
}

@media only screen and (max-width: 479px){
    .entry-post-navigation.type1 div > a { display:none; }
    .entry-post-navigation.type1 > div,
    .entry-post-navigation.type1 > div.post-next-link{ text-align:center; }
    .entry-post-navigation.type1 > div:first-child { border-bottom:1px solid var(--wdtBorderColor); }
}


/* PopUp Overlay style */

body .dialog-type-lightbox { background-color: rgba( 0, 0, 0, 0.8); }

body #yith-quick-view-modal .yith-quick-view-overlay,
body .tinv-modal.tinv-modal-open .tinv-overlay { background-color: rgba( 0, 0, 0, 0.8); opacity: 1; }
body .tinv-wishlist .tinvwl-buttons-group button i.ftinvwl-heart-o, 
body .tinv-wishlist .tinvwl-buttons-group button i.ftinvwl-key, 
body .tinv-wishlist .tinvwl-buttons-group button i.ftinvwl-times { display: none; }

/* Underline style for links */
.wdt-underline-link a{ position: relative; }
.wdt-underline-link a:after { content: '';
    position: absolute; width: 100%; height: 1px; background-color: currentColor; top: auto; left: 0;
    right: 0; bottom: -4px; -webkit-transform: scaleX(0); transform: scaleX(0); transform-origin: left bottom; 
    -webkit-transition: all .3s ease; transition: all .3s ease; margin: auto; }
.wdt-underline-link a:hover:after { -webkit-transform: scaleX(1); transform: scaleX(1); }

.wdt-cus-footer-icon-stroke svg { stroke: var( --e-global-color-dc9da7e ); stroke-width: 0.4px; }

.woocommerce ul.products li.product .product-buttons-wrapper.product-button a.added_to_cart.wc-forward:after { display: none; }

body .woocommerce .woocommerce-message .button,
body.woocommerce .woocommerce-message .button,
body .woocommerce .woocommerce-error .button,
body.woocommerce .woocommerce-error .button,
body .woocommerce .woocommerce-info .button,
body.woocommerce .woocommerce-info .button { box-shadow: none; position: relative; padding-bottom: 2px; }
body .woocommerce .woocommerce-message .button:before,
body.woocommerce .woocommerce-message .button:before,
body .woocommerce .woocommerce-error .button:before,
body.woocommerce .woocommerce-error .button:before,
body .woocommerce .woocommerce-info .button:before,
body.woocommerce .woocommerce-info .button:before { content: ''; position: absolute;
    width: 100%; height: 1px; background-color: currentColor; top: auto; left: 0; display: block !important;
    right: 0; bottom: 0px; -webkit-transform: scaleX(1); transform: scaleX(1); transform-origin: left bottom;
    -webkit-transition: all .3s ease; transition: all .3s ease; margin: auto; pointer-events: none; }
body .woocommerce .woocommerce-message .button:hover:before,
body.woocommerce .woocommerce-message .button:hover:before,
body .woocommerce .woocommerce-error .button:hover:before,
body.woocommerce .woocommerce-error .button:hover:before,
body .woocommerce .woocommerce-info .button:hover:before,
body.woocommerce .woocommerce-info .button:hover:before  { -webkit-transform: scaleX(0); transform: scaleX(0);  }

#header .elementor-widget-icon-list ul.elementor-icon-list-items li.elementor-icon-list-item a,
#header .elementor-widget-icon-list ul.elementor-icon-list-items li.elementor-icon-list-item a span.elementor-icon-list-text {
position: relative; padding: 0; -webkit-transition: 200ms cubic-bezier(0.7, 0, 0.3, 1);
transition: 200ms cubic-bezier(0.7, 0, 0.3, 1); }

#header .elementor-widget-icon-list ul.elementor-icon-list-items li.elementor-icon-list-item a span.elementor-icon-list-text:before { 
    content: '';position: absolute;width: 100%;height: 1px;background-color: var(--wdtAccentTxtColor);top: auto;
    left: 0;right: 0;bottom: 0px;-webkit-transform: scaleX(0);transform: scaleX(0);transform-origin: left bottom;
    -webkit-transition: all .3s ease;transition: all .3s ease;opacity: 0;margin: auto;}

#header .elementor-widget-icon-list ul.elementor-icon-list-items li.elementor-icon-list-item a:hover span.elementor-icon-list-text:before { 
    -webkit-transform: scaleX(1); transform: scaleX(1); opacity: 0.6; }

